Bug 12816 - cannot open shared library libstdc++-libc6.1-2.so.3
Summary: cannot open shared library libstdc++-libc6.1-2.so.3
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: firewall-config   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-22 18:22 UTC by Matt Domsch
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-03 18:57:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Domsch 2000-06-22 18:22:57 UTC
Installed firewall-config via an "Everything" install.
Then ran firewall-config, which returned this message:
firewall-config: error while loading shared libraries: libstdc++-libc6.1-
2.so.3: cannot open shared object file: No such file or directory.

This might also explain the "unresolved dependencies" message from the 
installer regarding the firewall-config package.  It had no suggestions 
for additional packages to install to resolve the dependency.

Creating a symlink in /usr/lib solves the problem.
ln -s libstdc++2-libc6.1-1-2.9.0.so libstdc++-libc6.1-2.so.3

Comment 1 Harald Hoyer 2000-07-03 18:57:20 UTC
Wasn't rebuild for Beta2

Comment 2 Matt Domsch 2000-07-21 19:50:29 UTC
Fixed in beta 3.


Note You need to log in before you can comment on or make changes to this bug.